6.9.2

# scxmldump

Dump database objects to XML files.

## Description

scxmldump reads various parameters from a SeisComP database:

- Availability,

- Config (bindings parameters),

- Event parameters,

- Inventory,

- Journal,

- Routing.

The parameters are sent to stdout or written into an XML (SCML) file.

Note

Waveform quality control (QC) parameters can be read from databases using scqcquery.

### Event parameters

To get event, origin or pick information from the database without using SQL commands is an important task for the user. scxmldump queries the database and transforms that information into XML. Events and origins can be treated further by scbulletin for generating bulletins or conversion into KML.

Many processing modules, e.g., scevent support the on-demand processing of dumped event parameters by the command-line option `--ep`. Importing event parameters into another database is possible with scdb and sending to a SeisComP messaging is provided by scdispatch.

Hint

Events, origins and picks are referred to by their public IDs. IDs of events and origins can be provided by scevtls and scorgls, respectively. Event, origin and pick IDs can also be read from graphical tools like scolv or used database queries assisted by scquery.

### Format conversion

Conversion of SCML into other formats is supported by sccnv. An XSD schema of the XML output can be found under `$SEISCOMP_ROOT/share/xml/`.

### Examples

Dump inventory

    scxmldump -fI -o inventory.xml -d mysql://sysop:sysop@localhost/seiscomp

Dump config (bindings parameters)

    scxmldump -fC -o config.xml -d mysql://sysop:sysop@localhost/seiscomp

Dump full event data incl. the relevant journal entries

    scxmldump -fPAMFJ -E test2012abcd -o test2012abcd.xml \
              -d mysql://sysop:sysop@localhost/seiscomp

Dump summary event data

    scxmldump -fap -E test2012abcd -o test2012abcd.xml \
              -d mysql://sysop:sysop@localhost/seiscomp

Create bulletin from an event

    scxmldump -fPAMF -E test2012abcd
              -d mysql://sysop:sysop@localhost/seiscomp | \
    scbulletin

Copy event parameters to another database

    scxmldump -fPAMF -E test2012abcd \
              -d mysql://sysop:sysop@localhost/seiscomp | \
    scdb -i - -d mysql://sysop:sysop@archive-db/seiscomp

Export the entire journal:

    scxmldump -fJ -o journal.xml \
              -d mysql://sysop:sysop@localhost/seiscomp

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scxmldump.cfg`
`etc/global.cfg`
`etc/scxmldump.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scxmldump.cfg`

scxmldump inherits global options.

## Command-Line Options

scxmldump [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

--start-stop-msg arg

  Set sending of a start and a stop message.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--config-db arg

  Load the configuration from the given database or file, format: [service://]location .

### Dump

--listen

  Enable server mode which listens to the message server for incoming events and dumps each received add/update.

-I, --inventory

  Dump the inventory.

--without-station-groups

  Remove all station groups from inventory.

--stations sta-list

  If inventory is exported, filter the stations to export. Wildcards are supported. Format of each item: net[.{sta|*}].

-C, --config

  Dump the configuration (bindings).

-J, --journal

  Dump the journal. In combination with -E only corresponding journal entries are included.

-R, --routing

  Dump the routing.

-Y, --availability

  Dump data availability information.

--with-segments

  Dump individual data segments.

--pick ID

  Pick public ID(s) to dump. Multiple IDs may be specified as a comma-separated list.

-O, --origin ID

  Origin public ID(s) to dump. Multiple origins may be specified as a comma-separated list.

-E, --event ID

  Event public ID(s) to dump. Multiple events may be specified as a comma-separated list.

-P, --with-picks

  Add picks associated to origins.

-A, --with-amplitudes

  Add amplitudes associated to magnitudes.

-M, --with-magnitudes

  Add station magnitudes associated to origins.

-F, --with-focal-mechanism

  Add focal mechanisms associated to events.

-a, --ignore-arrivals

  Do not dump arrivals part of origins.

--ignore-magnitudes

  Do not export (network) magnitudes of origins. This option is most useful in combination with -O to only export the location information.

-p, --preferred-only

  When exporting events only the preferred origin, the preferred magnitude and the preferred focal mechanism will be dumped.

-m, --all-magnitudes

  If only the preferred origin is exported, all magnitudes for this origin will be dumped.

### Output

-f, --formatted

  Use formatted XML output. Otherwise all XML is printed on one line.

-o, --output

  Name of output file. If not given, output is sent to stdout.

--prepend-datasize

  Prepend a line with the length of the XML data.